JSON_Generator_StateStruct Struct Reference

`#include <generator.h>`

## Data Fields

char * | indent
long | indent_len
char * | space
long | space_len
char * | space_before
long | space_before_len
char * | object_nl
long | object_nl_len
char * | array_nl
long | array_nl_len
FBuffer * | array_delim
FBuffer * | object_delim
FBuffer * | object_delim2
long | max_nesting
char | allow_nan
char | ascii_only
char | quirks_mode
long | depth

## Detailed Description

Definition at line 112 of file generator.h.

## Field Documentation

char JSON_Generator_StateStruct::allow_nan

Definition at line 127 of file generator.h.

FBuffer* JSON_Generator_StateStruct::array_delim

Definition at line 123 of file generator.h.

char* JSON_Generator_StateStruct::array_nl

Definition at line 121 of file generator.h.

long JSON_Generator_StateStruct::array_nl_len

Definition at line 122 of file generator.h.

char JSON_Generator_StateStruct::ascii_only

Definition at line 128 of file generator.h.

long JSON_Generator_StateStruct::depth

Definition at line 130 of file generator.h.

char* JSON_Generator_StateStruct::indent

Definition at line 113 of file generator.h.

long JSON_Generator_StateStruct::indent_len

Definition at line 114 of file generator.h.

long JSON_Generator_StateStruct::max_nesting

Definition at line 126 of file generator.h.

FBuffer* JSON_Generator_StateStruct::object_delim

Definition at line 124 of file generator.h.

FBuffer* JSON_Generator_StateStruct::object_delim2

Definition at line 125 of file generator.h.

char* JSON_Generator_StateStruct::object_nl

Definition at line 119 of file generator.h.

long JSON_Generator_StateStruct::object_nl_len

Definition at line 120 of file generator.h.

char JSON_Generator_StateStruct::quirks_mode

Definition at line 129 of file generator.h.

char* JSON_Generator_StateStruct::space

Definition at line 115 of file generator.h.

char* JSON_Generator_StateStruct::space_before

Definition at line 117 of file generator.h.

long JSON_Generator_StateStruct::space_before_len

Definition at line 118 of file generator.h.

long JSON_Generator_StateStruct::space_len

Definition at line 116 of file generator.h.

The documentation for this struct was generated from the following file:

- ext/json/generator/generator.h